@import 'jcrop';
%clearfix {
  &:after {
    content: "";
    display: table;
    clear: both;
  }
}
.uploader {
  .container {
    margin-left: 20%;
    margin-bottom: 20px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    width: 76%;
    position: relative;
  }
  .existing-images {
    @extend %clearfix;
    margin-bottom: 10px;
    .preview {
      width: 150px;
      height: 150px;
      margin: 0 20px 33px 0;
      float: left;
      position: relative;
      &:first-child {
        .thumb img {
          box-shadow: 0 0 6px green;
        }
      }
      .thumb {
        text-align: center;
        position: relative;
        z-index: 1;
        cursor: pointer;
        img {
          box-shadow: 0 1px 3px #aaa;
          background: white;
          padding: 5px;
          max-width: 100%;
          max-height: 100%;
          width: auto;
          height: auto;
          vertical-align: middle;
          border: 0;
          -ms-interpolation-mode: bicubic;
          box-sizing: border-box;
        }
      }
      .image-actions {
          background: white;
          margin: 0 auto;
          width: 85px;
          position: relative;
          box-shadow: 0 1px 1px #ddd;
          opacity: 0;
          transition: opacity 0.2s ease;
          @extend %clearfix;
        a {
          text-decoration: none;
          font-size: 13px;
          padding: 4px 8px;
          display: block;
          text-align: center;
          float: left;
        }
        .remove {
          font-weight: bold;
          color: salmon;
          &:hover {
            color: darken(salmon, 10%);
          }
        }
      }
      &:hover {
        .image-actions {
          opacity: 1;
        }
      }
    }
  }
  .caption-text {
    display: none;
    background: white;
    border-radius: 3px;
    padding: 10px;
    box-sizing: border-box;
    box-shadow: 0 0 5px rgba(#000, 0.3);
    position: absolute;
    width: 800px;
    z-index: 100;
    input {
      box-sizing: border-box;
      width: 100%;
      margin-bottom: 10px;
    }
    .icon-caret-up {
      font-size: 40px;
      color: white;
      position: absolute;
      top: -28px;
    }
  }
  .droppable {
    @extend %clearfix;
    border-radius: 3px;
    box-sizing: border-box;
    border: 3px dashed #aaa;
    padding: 25px;
    font-weight: bold;
    color: #666;
    font-size: 18px;
    margin: 30px 0;
    position: relative;
    min-height: 150px;
    cursor: pointer;
    .message {
      margin-bottom: 10px;
      text-align: center;
    }
    .error {
      .error-mark {
        display: block;
        color: salmon;
      }
    }
    .success {
      .success-mark {
        display: block;
        color: #ADCBAF;
      }
    }
    .success-mark, .error-mark {
      float: right;
      display: none;
    }
    .error-message, .filename {
      display: none;
    }
    .progress {
      height: 3px;
      margin-bottom: 3px;
      .upload {
        background: #ADCBAF;
        height: 100%;
        display: block;
        width: 0;
      }
    }
    .size {
      font-weight: normal;
      font-size: 12px;
    }
    .preview {
      cursor: normal;
      background: white;
      padding: 5px;
      margin: 5px;
      float: left;
      box-shadow: 0 1px 3px #aaa;
    }

    &.drag-hover, &:hover {
      border-color: #4ABA00;
    }
  }
  .specs {
    clear: both;
  }
}
